"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Math) {
  common_vendor.unref(Search)();
}
const Search = () => "../../components/search.js";
const _sfc_main = {
  __name: "record",
  setup(__props) {
    const listData = common_vendor.ref([
      {
        number: "赣M06001",
        type: 1,
        date: "2023.03.01",
        departureTime: "15:30",
        path: "墨轩湖 - 综合楼",
        proportion: "25/52"
      },
      {
        number: "赣M06001",
        type: 2,
        date: "2023.03.01",
        departureTime: "15:30",
        path: "墨轩湖 - 综合楼",
        proportion: "25/52"
      },
      {
        type: 3,
        date: "2023.03.01",
        proportion: "25"
      },
      {
        type: 4,
        date: "2023.03.01",
        proportion: "25"
      }
    ]);
    const handleLookDetail = (item) => {
      const info = JSON.stringify(item);
      common_vendor.index.navigateTo({
        url: `/pages/detail/detail?info=${info}`
      });
    };
    const getConveyData = (Obj) => {
      console.log(Obj);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(getConveyData),
        b: common_vendor.f(listData.value, (item, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.number ? item.number : "无"),
            b: item.type === 1
          }, item.type === 1 ? {} : {}, {
            c: item.type === 2
          }, item.type === 2 ? {} : {}, {
            d: item.type === 3
          }, item.type === 3 ? {} : {}, {
            e: item.type === 4
          }, item.type === 4 ? {} : {}, {
            f: common_vendor.t(item.date),
            g: item.departureTime
          }, item.departureTime ? {
            h: common_vendor.t(item.departureTime)
          } : {}, {
            i: item.path
          }, item.path ? {
            j: common_vendor.t(item.path)
          } : {}, {
            k: item.type === 1 || item.type === 2
          }, item.type === 1 || item.type === 2 ? {} : {}, {
            l: common_vendor.t(item.proportion),
            m: index,
            n: common_vendor.o(($event) => handleLookDetail(item), index)
          });
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ef6850c5"], ["__file", "E:/workSpace/schoolBus-reservation/pages/record/record.vue"]]);
wx.createPage(MiniProgramPage);
